// FILENAME: ObjlibTest.cs
// AUTHORS: Pincushion (using Starsiege_Football terrain created by
// Brother Youth in Asia of the clan NHMK.)
//
// This is an empty mission that is NOT suitable for play.
// See objlib.html for instructions.
//----------------------------------------------------------------

$missionName = "ObjlibTest";

$maxFlagCount  = 8;           // no of flags required by a team to end the game
$flagValue     = 5;          // points your team gets for capturing
$carrierValue  = 2;          //  "      "    "    "    " killing carrier
$killPoints    = 1;
$deathPoints   = 1;
$flagTime = 120;

exec("multiplayerStdLib.cs");
exec("CTFstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	
	
	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = true;
	
	// what can the server admin choose for available teams
	$server::disableTeamRed = true;
	$server::disableTeamBlue = false;
	$server::disableTeamYellow = true;
	$server::disableTeamPurple = false;
}

function onMissionStart()
{
	initGlobalVars();
	temperateSounds();
}

function onMissionLoad(){
	cdAudioCycle("Gnash", "Cloudburst", "Cyberntx"); 
}
